# Uses of Interface
org.opensaml.saml.saml2.core.Subject

Packages that use Subject
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile
Classes for SAML 2.0 profile behavior.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing

## Uses of Subject in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return Subject
Modifier and Type
Method
Description
`Subject`
Assertion.`getSubject()`
Gets the Subject of this assertion.
`Subject`
AuthnRequest.`getSubject()`
Gets the `Subject` of the request.
`Subject`
SubjectQuery.`getSubject()`
Gets the Subject of this request.
Methods in org.opensaml.saml.saml2.core with parameters of type Subject
Modifier and Type
Method
Description
`void`
Assertion.`setSubject(Subject newSubject)`
Sets the Subject of this assertion.
`void`
AuthnRequest.`setSubject(Subject newSubject)`
Sets the `Subject` of the request.
`void`
SubjectQuery.`setSubject(Subject newSubject)`
Sets the Subject of this request.

## Uses of Subject in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Subject
Modifier and Type
Class
Description
`class`
`SubjectImpl`
Concrete implementation of `Subject`.
Fields in org.opensaml.saml.saml2.core.impl declared as Subject
Modifier and Type
Field
Description
`private Subject`
AssertionImpl.`subject`
Subject of the assertion.
`private Subject`
AuthnRequestImpl.`subject`
Subject child element.
`private Subject`
SubjectQueryImpl.`subject`
Subject child element.
Methods in org.opensaml.saml.saml2.core.impl that return Subject
Modifier and Type
Method
Description
`Subject`
SubjectBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Subject`
SubjectBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Subject`
AssertionImpl.`getSubject()`
Gets the Subject of this assertion.
`Subject`
AuthnRequestImpl.`getSubject()`
Gets the `Subject` of the request.
`Subject`
SubjectQueryImpl.`getSubject()`
Gets the Subject of this request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type Subject
Modifier and Type
Method
Description
`void`
AssertionImpl.`setSubject(Subject newSubject)`
Sets the Subject of this assertion.
`void`
AuthnRequestImpl.`setSubject(Subject newSubject)`
Sets the `Subject` of the request.
`void`
SubjectQueryImpl.`setSubject(Subject newSubject)`
Sets the Subject of this request.

## Uses of Subject in org.opensaml.saml.saml2.profile

Methods in org.opensaml.saml.saml2.profile with parameters of type Subject
Modifier and Type
Method
Description
`static boolean`
SAML2ObjectSupport.`matchSubject(Subject target, Subject control)`
Match a target `Subject` against a control instance according to the requirements specified in SAML Core 3.3.4.
`static boolean`
SAML2ObjectSupport.`matchSubject(Subject target, Subject control, boolean processConfirmation)`
Match a target `Subject` against a control instance according to the requirements specified in SAML Core 3.3.4.

## Uses of Subject in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type Subject
Modifier and Type
Field
Description
`private SAMLObjectBuilder<Subject>`
AddNameIDToSubjects.`subjectBuilder`
Builder for Subject objects.
`private final SAMLObjectBuilder<Subject>`
AddSubjectConfirmationToSubjects.`subjectBuilder`
Builder for Subject objects.
`private final SAMLObjectBuilder<Subject>`
CopyNameIDFromRequest.`subjectBuilder`
Builder for Subject objects.
Methods in org.opensaml.saml.saml2.profile.impl that return Subject
Modifier and Type
Method
Description
`private Subject`
AddNameIDToSubjects.`getAssertionSubject(Assertion assertion)`
Get the subject to which the name identifier will be added.
`private Subject`
AddSubjectConfirmationToSubjects.`getAssertionSubject(Assertion assertion)`
Get the subject to which the confirmation will be added.
`private Subject`
CopyNameIDFromRequest.`getAssertionSubject(Assertion assertion)`
Get the subject to which the name identifier will be added.
Methods in org.opensaml.saml.saml2.profile.impl with parameters of type Subject
Modifier and Type
Method
Description
`private void`
DecryptNameIDs.`processSubject(ProfileRequestContext profileRequestContext, Subject subject)`
Decrypt any `EncryptedID` found in a subject and replace it with the result.
`private void`
EncryptNameIDs.`processSubject(Subject subject)`
Encrypt any `NameID`s found in a subject and replace them with the result.

## Uses of Subject in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return Subject
Modifier and Type
Method
Description
`static Subject`
SAML2ActionTestingSupport.`buildSubject(String principalName)`
Builds a `Subject`.
Methods in org.opensaml.saml.saml2.testing with parameters of type Subject
Modifier and Type
Method
Description
`static AttributeQuery`
SAML2ActionTestingSupport.`buildAttributeQueryRequest(Subject subject)`
Builds an `AttributeQuery`.